imap_setflag_full
imap_status
IMAP Functions
PHP Manual

# imap_sort

(PHP 4, PHP 5)

imap_sort — Gets and sort messages

### Description

array imap_sort ( resource `$imap_stream` , int `$criteria` , int `$reverse` [, int `$options` [, string `$search_criteria` [, string `$charset` ]]] )

Gets and sorts message numbers by the given parameters.

### Parameters

`imap_stream`

  An IMAP stream returned by imap_open().

`criteria`

  Criteria can be one (and only one) of the following:

  - `SORTDATE` - message Date
  - `SORTARRIVAL` - arrival date
  - `SORTFROM` - mailbox in first From address
  - `SORTSUBJECT` - message subject
  - `SORTTO` - mailbox in first To address
  - `SORTCC` - mailbox in first cc address
  - `SORTSIZE` - size of message in octets
`reverse`

  Set this to 1 for reverse sorting

`options`

  The `options` are a bitmask of one or more of the following:

  - `SE_UID` - Return UIDs instead of sequence numbers
  - `SE_NOPREFETCH` - Don't prefetch searched messages
`search_criteria`

`charset`

### Return Values

Returns an array of message numbers sorted by the given parameters.

### ChangeLog

Version | Description
--- | ---
4.3.3 | The `charset` parameter was added

imap_setflag_full
imap_status
IMAP Functions
PHP Manual